Index: c/src/librdbg/ChangeLog
===================================================================
--- c/src/librdbg/ChangeLog	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/ChangeLog	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -1,2 +1,13 @@
+2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* include/rdbg/Makefile.am: Re-add dirstamps to PRE/TMPINSTALL_FILES.
+	Add PRE/TMPINSTALL_FILES to CLEANFILES.
+	* include/rdbg/i386/Makefile.am: Ditto.
+	* include/rdbg/m68k/Makefile.am: Ditto.
+	* include/rdbg/powerpc/Makefile.am: Ditto.
+	* src/i386/Makefile.am: Ditto.
+	* src/m68k/Makefile.am: Ditto.
+	* src/powerpc/Makefile.am: Ditto.
+
 2003-12-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/librdbg/include/rdbg/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/include/rdbg/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -22,4 +22,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/rdbg.h: rdbg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -32,4 +33,6 @@
 endif
 
+CLEANFILES = $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/subdirs.am
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/include/rdbg/i386/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/i386/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/include/rdbg/i386/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -14,4 +14,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -23,3 +24,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/include/rdbg/m68k/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/m68k/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/include/rdbg/m68k/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -14,4 +14,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -23,3 +24,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/include/rdbg/powerpc/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/powerpc/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/include/rdbg/powerpc/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -14,4 +14,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -23,3 +24,5 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/src/i386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/src/i386/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -90,8 +90,10 @@
 
 PREINSTALL_FILES =
+TMPINSTALL_FILES =
 
 $(PROJECT_LIB)/$(dirstamp):
 	@$(mkdir_p) $(PROJECT_LIB)
 	@: > $(PROJECT_LIB)/$(dirstamp)
+TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
 
 $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: $(ARCH)/librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
@@ -102,4 +104,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -107,3 +110,6 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/src/m68k/Makefile.am
===================================================================
--- c/src/librdbg/src/m68k/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/src/m68k/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -90,8 +90,10 @@
 
 PREINSTALL_FILES =
+TMPINSTALL_FILES =
 
 $(PROJECT_LIB)/$(dirstamp):
 	@$(mkdir_p) $(PROJECT_LIB)
 	@: > $(PROJECT_LIB)/$(dirstamp)
+TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
 
 $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: $(ARCH)/librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
@@ -102,4 +104,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/any/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -107,3 +110,6 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
Index: c/src/librdbg/src/powerpc/Makefile.am
===================================================================
--- c/src/librdbg/src/powerpc/Makefile.am	(revision 7fc2cbfe36bd4a6e8a8c12326c118706fe99ef1b)
+++ c/src/librdbg/src/powerpc/Makefile.am	(revision 4a501bd166a22ed26f9b65e47eaba062fcf1dfc2)
@@ -91,8 +91,10 @@
 
 PREINSTALL_FILES =
+TMPINSTALL_FILES =
 
 $(PROJECT_LIB)/$(dirstamp):
 	@$(mkdir_p) $(PROJECT_LIB)
 	@: > $(PROJECT_LIB)/$(dirstamp)
+TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
 
 $(PROJECT_LIB)/librdbg$(LIB_VARIANT).a: $(ARCH)/librdbg$(LIB_VARIANT).a $(PROJECT_LIB)/$(dirstamp)
@@ -103,4 +105,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
 	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rdbg/remdeb.h: $(srcdir)/new_exception_processing/remdeb.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
@@ -108,3 +111,6 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/remdeb.h
 
+CLEANFILES = $(PREINSTALL_FILES)
+CLEANFILES += $(TMPINSTALL_FILES)
+
 include $(top_srcdir)/automake/local.am
